Search Discover sessions Generally available; added in 9.6.0

GET /api/discover_sessions

Spaces method and path for this operation:

get /s/{space_id}/api/discover_sessions

Refer to Spaces for more information.

Returns a paginated summary list of Discover sessions. Use GET /api/discover_sessions/{id} for the full session state.

Query parameters

  • page number

    The page of results to return.

    Minimum value is 1. Default value is 1.

  • per_page number

    The number of results to return per page.

    Minimum value is 1, maximum value is 1000. Default value is 20.

  • query string

    Full-text search (simple_query_string) over title and description. All terms must match.

    Maximum length is 1000.

  • tags array[string]

    A tag ID to include. Accepts a single tag ID or multiple tag IDs. When multiple are specified, Discover sessions matching any of the tag IDs are included.

    Not more than 100 elements. Maximum length of each is 250. Default value is [] (empty).

  • excluded_tags array[string]

    A tag ID to exclude. Accepts a single tag ID or multiple tag IDs. When multiple are specified, Discover sessions matching any of the tag IDs are excluded.

    Not more than 100 elements. Maximum length of each is 250. Default value is [] (empty).

  • tag_names array[string]

    A tag name to include. Accepts a single tag name or multiple tag names. When multiple are specified, Discover sessions matching any of the tag names are included. If the same name is shared by multiple tags, sessions matching any of those tags are included.

    Not more than 100 elements.

  • excluded_tag_names array[string]

    A tag name to exclude. Accepts a single tag name or multiple tag names. When multiple are specified, Discover sessions matching any of the tag names are excluded. If the same name is shared by multiple tags, sessions matching any of those tags are excluded.

    Not more than 100 elements.

Responses

  • 200 application/json

    Success

    Hide response attributes Show response attributes object
    • data array[object] Required

      List of matching Discover sessions (summaries, not the full session state).

      Not more than 1000 elements.

      Hide data attributes Show data attributes object
      • data object Required

        Additional properties are NOT allowed.

        Hide data attributes Show data attributes object
        • description string

          Discover session description.

        • tags array[string]

          Tag IDs associated with this Discover session.

          Not more than 1000 elements. Maximum length of each is 250. Default value is [] (empty).

        • title string Required

          Discover session title.

      • id string Required

        The Discover session ID.

      • meta object Required

        Additional properties are NOT allowed.

        Hide meta attributes Show meta attributes object
        • created_at string

          Timestamp when the object was created (ISO 8601).

        • created_by string

          User profile ID of the user who created the object.

        • managed boolean

          When true, the object is managed by Kibana and cannot be edited by users.

        • owner string

          Identifier of the plugin or team that owns this object.

        • updated_at string

          Timestamp when the object was last updated (ISO 8601).

        • updated_by string

          User profile ID of the user who last updated the object.

        • version string

          Internal version identifier for optimistic concurrency control.

    • meta object Required

      Additional properties are NOT allowed.

      Hide meta attributes Show meta attributes object
      • page number

        The returned page of results.

        Minimum value is 1. Default value is 1.

      • per_page number

        The number of results returned per page.

        Minimum value is 1, maximum value is 1000. Default value is 20.

      • total number Required

        The total number of results matching the query.

  • 400

    Invalid request

  • 500

    Internal server error

GET /api/discover_sessions
curl -X GET "${KIBANA_URL}/api/discover_sessions?query=requests&per_page=20" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "elastic-api-version: 2023-10-31"
GET kbn:/api/discover_sessions?query=requests&per_page=20
Response examples (200)
{
  "data": [
    {
      "data": {
        "description": "",
        "tags": [],
        "title": "Requests by extension"
      },
      "id": "web-log-requests",
      "meta": {
        "created_at": "2026-10-15T09:00:00.000Z",
        "created_by": "u_example",
        "managed": false,
        "updated_at": "2026-10-15T09:00:00.000Z",
        "updated_by": "u_example",
        "version": "WzEsMV0="
      }
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 20,
    "total": 1
  }
}